package net.sf.doolin.context.spring;

import static net.sf.doolin.context.spring.ContextElements.STRINGS;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;

/**
 * Namespace handler for Doolin Context.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class ContextNamespaceHandler extends NamespaceHandlerSupport {

	@Override
	public void init() {
		CustomNamespaces
				.addCustomNamespace("http://www.doolin-guif.net/schema/context");
		registerBeanDefinitionParser(STRINGS, new StringsDefinitionParser());
	}

}
